%define sname   etr

Name:           extremetuxracer
Version:        0.7.4
Release:        %mkrel 2
Summary:        OpenGL racing game featuring Tux
License:        GPLv2
Group:          Games/Arcade
URL:            https://sourceforge.net/projects/extremetuxracer
Source0:        http://downloads.sourceforge.net/%{name}/%{sname}-%{version}.tar.xz

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(sfml-audio)
BuildRequires:  pkgconfig(sfml-graphics)
BuildRequires:  pkgconfig(sfml-window)
Provides:       tuxracer = %{version}-%{release}
Provides:       ppracer = %{version}-%{release}
Provides:       etr = %{version}-%{release}

%description
Extreme Tux Racer is an OpenGL racing game featuring Tux, the Linux
mascot. The goal of the game is to slide down a snow- and ice-covered
mountain as quickly as possible.  It is based on the GPL version of
TuxRacer.

%prep
%setup -q -n %{sname}-%{version}

%build
%configure2_5x \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --docdir=%{_docdir}/%{name}
%make_build

%install
%make_install

install -D resources/%{sname}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{sname}.svg
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc AUTHORS ChangeLog
%doc %{_docdir}/%{name}/
%{_gamesbindir}/%{sname}
%{_gamesdatadir}/%{sname}/
%{_datadir}/applications/%{sname}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{sname}.svg


%changelog
* Sun Nov 13 2016 akien <akien> 0.7.4-2.mga6
+ Revision: 1067064
- Rebuild for SFML 2.4.1

* Thu Oct 27 2016 akien <akien> 0.7.4-1.mga6
+ Revision: 1063785
- Version 0.7.4

* Sun Jul 24 2016 akien <akien> 0.7.3-1.mga6
+ Revision: 1043511
- Version 0.7.3

* Sat Apr 16 2016 akien <akien> 0.7.2-1.mga6
+ Revision: 1002994
- Version 0.7.2
- Fix URL

* Fri Feb 05 2016 akien <akien> 0.7.1-1.mga6
+ Revision: 938256
- Version 0.7.1

* Sun Jan 24 2016 akien <akien> 0.7.0-1.mga6
+ Revision: 926778
- Version 0.7.0

* Sun Oct 25 2015 daviddavid <daviddavid> 0.6.0-5.mga6
+ Revision: 895240
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 739020
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 679070
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 534959
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 dams <dams> 0.6.0-1.mga4
+ Revision: 480304
- fix a typo in %%name (spotted by grenoya)
- new version 0.6.0

* Mon Sep 09 2013 dams <dams> 0.6-0.beta2.1.mga4
+ Revision: 476550
- new version 0.6 beta 2
- add icon as a new source (missing in tarball)
- remove patches
- now use pkgconfig for BR
- clean ./configure options
- update .desktop as binary name changed
- remove useless README.urpmi

* Mon Jun 03 2013 fwang <fwang> 0.5-0.beta.17.mga4
+ Revision: 435828
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.5-0.beta.16.mga3
+ Revision: 349875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 0.5-0.beta.15.mga3
+ Revision: 338546
- patch4: fix build with automake 1.13

* Thu Jun 28 2012 shlomif <shlomif> 0.5-0.beta.14.mga3
+ Revision: 264628
- ETracer no longer appears to require squirrel. Removing the dependencies.

* Mon Feb 27 2012 kamil <kamil> 0.5-0.beta.13.mga2
+ Revision: 215597
- rebuild against new squirrel 2.2.5
- clean .spec a bit

* Mon Sep 19 2011 fwang <fwang> 0.5-0.beta.12.mga2
+ Revision: 145326
- fix build with latest libpng
- rebuild for new libpng

  + stormi <stormi>
    - fix Comment in desktop file

* Wed Jul 06 2011 fwang <fwang> 0.5-0.beta.10.mga2
+ Revision: 119234
- use autoreconf
- fix build
- rebuild for new tcl

  + zezinho <zezinho>
    - bump release
    - typo

* Mon Jun 20 2011 dams <dams> 0.5-0.beta.8.mga2
+ Revision: 110374
- add provides back on 'tuxracer' and 'ppracer'

* Mon Jun 20 2011 zezinho <zezinho> 0.5-0.beta.7.mga2
+ Revision: 110308
- remove changelog introduced by error
- release number too high
  provides and obsoletes useless for current upgrade paths
- specfile cleanup

* Thu Jun 09 2011 dams <dams> 0.5-0.beta.5.mga2
+ Revision: 102543
- remove 'esound' BR as 'esound' is no longer supported

  + steletch <steletch>
    - Clean spec file
    - imported package extremetuxracer

